#!/bin/bash
# Wesnothのソースコードを最新のものに更新、ビルドを行うスクリプト

set -eu

WESNOTH_DIR="wesnoth"
BUILD_DIR="build"

if [ ! -d ${WESNOTH_DIR} ]; then
  echo 'wesnothリポジトリのクローン'
  git clone https://github.com/wesnoth/wesnoth.git
fi

cd ${WESNOTH_DIR}
echo '作業ツリーの変更をリセット'
git stash
git stash clear
echo 'リポジトリの更新・マージ'
git fetch origin
git checkout 1.14
git merge origin/1.14

if [ ! -d ${BUILD_DIR} ]; then
  mkdir ${BUILD_DIR}
fi
cd ${BUILD_DIR}
echo 'ビルドの設定'
cmake .. -DENABLE_POT_UPDATE_TARGET=TRUE # potの更新を有効化する
echo 'ビルドの開始'
make -j3
